<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>transition-timing-function</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        body {
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            gap: 2px;
        }

        h2 {
            margin: .5em;
        }

        .flex {
            background-color: lightblue;
            border: 1px solid;

            display: flex;
            align-items: center;
            padding-left: 0;

            transition: padding-left 2s;
        }

        .flex:hover {
            padding-left: 99%;
        }

        .ejemplo1 {
            transition-timing-function: ease;
        }
        .ejemplo2 {
            transition-timing-function: linear;
        }
        .ejemplo3 {
            transition-timing-function: ease-in;
        }
        .ejemplo4 {
            transition-timing-function: ease-out;
        }
        .ejemplo4 {
            transition-timing-function: ease-in-out;
        }
        
    </style>
</head>

<body>
    <div>
        <h2>ease</h2>
        <div class="flex ejemplo1">1</div>
    </div>
    <div>
        <h2>linear</h2>
        <div class="flex ejemplo2">2</div>
    </div>
    <div>
        <h2>ease-in</h2>
        <div class="flex ejemplo3">3</div>
    </div>
    <div>
        <h2>ease-out</h2>
        <div class="flex ejemplo4">4</div>
    </div>
    <div>
        <h2>ease-in-out</h2>
        <div class="flex ejemplo5">5</div>
    </div>
</body>

</html>